org.eclipse.viatra.cep.core.metamodels.automaton

## Interface InternalModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    InternalModelImpl

      public interface InternalModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Internal Model'.

  The following features are supported:

  - `Automata`
  - `Latest Event`
  - `Enabled For The Latest Event`
  - `Event Tokens In Model`
  See Also:
    `AutomatonPackage.getInternalModel()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Automaton>` | `getAutomata()` Returns the value of the 'Automata' containment reference list.
    `org.eclipse.emf.common.util.EList<Automaton>` | `getEnabledForTheLatestEvent()` Returns the value of the 'Enabled For The Latest Event' reference list.
    `org.eclipse.emf.common.util.EList<EventToken>` | `getEventTokensInModel()` Returns the value of the 'Event Tokens In Model' reference list.
    `Event` | `getLatestEvent()` Returns the value of the 'Latest Event' containment reference.
    `void` | `setLatestEvent(Event value)` Sets the value of the '`Latest Event`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAutomata

          org.eclipse.emf.common.util.EList<Automaton> getAutomata()

      Returns the value of the 'Automata' containment reference list. The list contents are of type `Automaton`.

      If the meaning of the 'Automata' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Automata' containment reference list.
      See Also:
        `AutomatonPackage.getInternalModel_Automata()`
      Generated:
      Model:
        containment="true"

    - #### getLatestEvent

          Event getLatestEvent()

      Returns the value of the 'Latest Event' containment reference.

      If the meaning of the 'Latest Event' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Latest Event' containment reference.
      See Also:
        `setLatestEvent(Event)`, `AutomatonPackage.getInternalModel_LatestEvent()`
      Generated:
      Model:
        containment="true"

    - #### setLatestEvent

          void setLatestEvent(Event value)

      Sets the value of the '`Latest Event`' containment reference.
      Parameters:
        `value` - the new value of the 'Latest Event' containment reference.
      See Also:
        `getLatestEvent()`
      Generated:

    - #### getEnabledForTheLatestEvent

          org.eclipse.emf.common.util.EList<Automaton> getEnabledForTheLatestEvent()

      Returns the value of the 'Enabled For The Latest Event' reference list. The list contents are of type `Automaton`.

      If the meaning of the 'Enabled For The Latest Event' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enabled For The Latest Event' reference list.
      See Also:
        `AutomatonPackage.getInternalModel_EnabledForTheLatestEvent()`
      Generated:
      Model:

    - #### getEventTokensInModel

          org.eclipse.emf.common.util.EList<EventToken> getEventTokensInModel()

      Returns the value of the 'Event Tokens In Model' reference list. The list contents are of type `EventToken`.

      If the meaning of the 'Event Tokens In Model' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Tokens In Model' reference list.
      See Also:
        `AutomatonPackage.getInternalModel_EventTokensInModel()`
      Generated:
      Model:
        transient="true" changeable="false" volatile="true" derived="true" annotation="org.eclipse.viatra.query.querybasedfeature patternFQN='org.eclipse.viatra.cep.core.metamodels.derived.eventTokensInModel'"